org.richfaces.component

## Class UIParameter

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIParameter
      - - org.richfaces.component.AbstractParameter
        - - org.richfaces.component.UIParameter

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ActionListener, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, JavaScriptParameter

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIParameter
      extends AbstractParameter
      implements javax.faces.event.ActionListener, JavaScriptParameter

  The <a4j:param> behavior combines the functionality of the JavaServer Faces (JSF) components <f:param> and <f:actionListener>.

  Author:
    shura, alexsmirnov

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIParameter.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface javax.faces.event.ActionListener

      `TO_FLOW_DOCUMENT_ID_ATTR_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIParameter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getAssignTo()` EL expression for updatable bean property.
    `String` | `getFamily()`
    `boolean` | `isNoEscape()` If set to true, the value will not enclosed within single quotes and there will be no escaping of characters.
    `boolean` | `isRendered()`
    `void` | `setAssignTo(Object assignTo)`
    `void` | `setNoEscape(boolean noEscape)`
    `void` | `setRendered(boolean rendered)`

    - ### Methods inherited from class org.richfaces.component.AbstractParameter

      `clearInitialState, getAssignToExpression, getConverter, getName, getValue, markInitialState, processAction, restoreState, saveState, setAssignToExpression, setConverter`

    - ### Methods inherited from class javax.faces.component.UIParameter

      `getFacesContext, isDisable, setDisable, setName, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, decode, encodeAll, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendererType, setTransient, setValueBinding, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.event.ActionListener

      `processAction`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIParameter

          public UIParameter()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIParameter`

    - #### getAssignTo

          public Object getAssignTo()

      Description copied from class: `AbstractParameter`
      EL expression for updatable bean property. This property will be updated if the parent command component performs an actionEvent.
      Specified by:
        `getAssignTo` in class `AbstractParameter`

    - #### setAssignTo

          public void setAssignTo(Object assignTo)

    - #### isNoEscape

          public boolean isNoEscape()

      Description copied from class: `AbstractParameter`
      If set to true, the value will not enclosed within single quotes and there will be no escaping of characters. This allows the use of the value as JavaScript code for calculating value on the client-side. This doesn't work with non-AJAX components.
      Specified by:
        `isNoEscape` in interface `JavaScriptParameter`
      Specified by:
        `isNoEscape` in class `AbstractParameter`

    - #### setNoEscape

          public void setNoEscape(boolean noEscape)

      Specified by:
        `setNoEscape` in interface `JavaScriptParameter`
      Specified by:
        `setNoEscape` in class `AbstractParameter`

    - #### isRendered

          public boolean isRendered()

      Specified by:
        `isRendered` in class `AbstractParameter`

    - #### setRendered

          public void setRendered(boolean rendered)

      Overrides:
        `setRendered` in class `javax.faces.component.UIParameter`

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.